
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>卷积神经网络CNN总结 / iVAN</title>

    <meta name="description" content="卷积神经网络CNN总结 从神经网络到卷积神经网络(CNN) 我们知道神经网络的结构是这样的:  那卷积神经网络跟它是什么关系呢? 其实卷积神经网络依旧是层级网络,只是层的功能和形式做了变化,可以说是传统神经网络的一个改进.比如下图中就多了许多传统神经网络没有的层次. 卷积神经网络的层级结构 数据输入层/ Input layer 卷积计算层/ CONV layer ReLU激励层 / ReLU layer 池化层 / Pooling layer 全连接层 / FC layer 1.数据输入层 该层要做的处理主要是对原始图">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">卷积神经网络CNN总结</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><a href="http://s2.51cto.com/wyfs02/M00/93/C1/wKioL1kLCTbCHq7PAAEBcxu8xZ4061.jpg-wh_651x-s_3044445545.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDAvOTMvQzEvd0tpb0wxa0xDVGJDSHE3UEFBRUJjeHU4eFo0MDYxLmpwZy13aF82NTF4LXNfMzA0NDQ0NTU0NS5qcGc=.jpg"></a></p>
<p><strong>从神经网络到卷积神经网络(CNN)</strong></p>
<p>我们知道神经网络的结构是这样的： </p>
<p><a href="http://s3.51cto.com/wyfs02/M01/93/C2/wKiom1kLCUujEp1hAAHBQiOutPs072.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvOTMvQzIvd0tpb20xa0xDVXVqRXAxaEFBSEJRaU91dFBzMDcyLmpwZw==.jpg"></a></p>
<p>那卷积神经网络跟它是什么关系呢?</p>
<p>其实卷积神经网络依旧是层级网络，只是层的功能和形式做了变化，可以说是传统神经网络的一个改进。比如下图中就多了许多传统神经网络没有的层次。</p>
<p><a href="http://s3.51cto.com/wyfs02/M00/93/C1/wKioL1kLCWqzmelnAAJ6iba8-jU623.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvOTMvQzEvd0tpb0wxa0xDV3F6bWVsbkFBSjZpYmE4LWpVNjIzLmpwZw==.jpg"></a></p>
<p>卷积神经网络的层级结构</p>
<ul>
<li>数据输入层/ Input layer</li>
<li>卷积计算层/ CONV layer</li>
<li>ReLU激励层 / ReLU layer</li>
<li>池化层 / Pooling layer</li>
<li>全连接层 / FC layer</li>
</ul>
<p><strong>1.数据输入层</strong></p>
<p>该层要做的处理主要是对原始图像数据进行预处理，其中包括：</p>
<ul>
<li>去均值：把输入数据各个维度都中心化为0</li>
<li>归一化：幅度归一化到同样的范围</li>
<li>PCA/白化：用PCA降维;白化是对数据各个特征轴上的幅度归一化</li>
</ul>
<p>去均值与归一化效果图：</p>
<p><a href="http://s3.51cto.com/wyfs02/M02/93/C2/wKioL1kLCayhV_AvAAEOWf-1goo013.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvOTMvQzIvd0tpb0wxa0xDYXloVl9BdkFBRU9XZi0xZ29vMDEzLmpwZw==.jpg"></a></p>
<p>去相关与白化效果图：</p>
<p><a href="http://s2.51cto.com/wyfs02/M00/93/C2/wKioL1kLCbiCiAt8AADyZJkeBFg063.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDAvOTMvQzIvd0tpb0wxa0xDYmlDaUF0OEFBRHlaSmtlQkZnMDYzLmpwZw==.jpg"></a></p>
<p><strong>2.卷积计算层</strong></p>
<p>这一层就是卷积神经网络最重要的一个层次，也是“卷积神经网络”的名字来源。</p>
<p>在这个卷积层，有两个关键操作：</p>
<ul>
<li>局部关联。每个神经元看做一个滤波器(filter)</li>
<li>窗口(receptive field)滑动， filter对局部数据计算</li>
</ul>
<p>先介绍卷积层遇到的几个名词：</p>
<ul>
<li>深度/depth(解释见下图)</li>
<li>步长/stride (窗口一次滑动的长度)</li>
<li>填充值/zero-padding </li>
</ul>
<p><a href="http://s5.51cto.com/wyfs02/M01/93/C3/wKiom1kLCePgKAw1AAFdnklGcMA427.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDEvOTMvQzMvd0tpb20xa0xDZVBnS0F3MUFBRmRua2xHY01BNDI3LmpwZw==.jpg"></a></p>
<p>填充值是什么呢?以下图为例子，比如有这么一个5*5的图片(一个格子一个像素)，我们滑动窗口取2*2，步长取2，那么我们发现还剩下1个像素没法滑完，那怎么办呢?</p>
<p><a href="http://s2.51cto.com/wyfs02/M00/93/C3/wKioL1kLCf2zs20WAACmJ6Uu8GE000.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDAvOTMvQzMvd0tpb0wxa0xDZjJ6czIwV0FBQ21KNlV1OEdFMDAwLmpwZw==.jpg"></a></p>
<p>那我们在原先的矩阵加了一层填充值，使得变成6*6的矩阵，那么窗口就可以刚好把所有像素遍历完。这就是填充值的作用。  </p>
<p><a href="http://s2.51cto.com/wyfs02/M02/93/C3/wKioL1kLCgmRcn_4AADRtKOMZnU431.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDIvOTMvQzMvd0tpb0wxa0xDZ21SY25fNEFBRFJ0S09NWm5VNDMxLmpwZw==.jpg"></a></p>
<p>卷积的计算(注意，下面蓝色矩阵周围有一圈灰色的框，那些就是上面所说到的填充值)  </p>
<p><a href="http://s2.51cto.com/wyfs02/M02/93/C3/wKioL1kLChWhdrTTAAJQOhr2u9Y872.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDIvOTMvQzMvd0tpb0wxa0xDaFdoZHJUVEFBSlFPaHIydTlZODcyLmpwZw==.jpg"></a></p>
<p>这里的蓝色矩阵就是输入的图像，粉色矩阵就是卷积层的神经元，这里表示了有两个神经元(w0,w1)。绿色矩阵就是经过卷积运算后的输出矩阵，这里的步长设置为2。  </p>
<p><a href="http://s2.51cto.com/wyfs02/M01/93/C3/wKioL1kLCiKwLR-2AAJIv2gHuUA506.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDEvOTMvQzMvd0tpb0wxa0xDaUt3TFItMkFBSkl2MmdIdVVBNTA2LmpwZw==.jpg"></a></p>
<p>蓝色的矩阵(输入图像)对粉色的矩阵(filter)进行矩阵内积计算并将三个内积运算的结果与偏置值b相加(比如上面图的计算：2+(-2+1-2)+(1-2-2) + 1= 2 – 3 – 3 + 1 = -3)，计算后的值就是绿框矩阵的一个元素。 </p>
<p><a href="http://s1.51cto.com/wyfs02/M01/93/C3/wKioL1kLCm6SCMNpAAIg6blJE8U220.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDEvOTMvQzMvd0tpb0wxa0xDbTZTQ01OcEFBSWc2YmxKRThVMjIwLmpwZw==.jpg"></a></p>
<p>下面的动态图形象地展示了卷积层的计算过程：  </p>
<p><a href="http://s5.51cto.com/wyfs02/M00/93/C4/wKioL1kLCtOjdaUeAAbMjxI3KXw765.gif" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDAvOTMvQzQvd0tpb0wxa0xDdE9qZGFVZUFBYk1qeEkzS1h3NzY1LmdpZg==.jpg"></a></p>
<p><strong>参数共享机制</strong></p>
<ul>
<li>在卷积层中每个神经元连接数据窗的权重是固定的，每个神经元只关注一个特性</li>
<li>需要估算的权重个数减少: AlexNet 1亿 =&gt; 3.5w</li>
<li>一组固定的权重和不同窗口内数据做内积: 卷积 </li>
</ul>
<p><a href="http://s4.51cto.com/wyfs02/M01/93/C5/wKiom1kLCv3RG_gPAANCmT3YA6A242.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDEvOTMvQzUvd0tpb20xa0xDdjNSR19nUEFBTkNtVDNZQTZBMjQyLmpwZw==.jpg"></a></p>
<p><strong>3.激励层</strong></p>
<p>把卷积层输出结果做非线性映射。</p>
<p><a href="http://s5.51cto.com/wyfs02/M00/93/C4/wKioL1kLCxWTaV5kAAEYnzriJuc075.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDAvOTMvQzQvd0tpb0wxa0xDeFdUYVY1a0FBRVluenJpSnVjMDc1LmpwZw==.jpg"></a></p>
<p>CNN采用的激励函数一般为ReLU(The Rectified Linear Unit/修正线性单元)，它的特点是收敛快，求梯度简单，但较脆弱，图像如下。</p>
<p><a href="http://s2.51cto.com/wyfs02/M02/93/C5/wKiom1kLCyqhpSG8AABouNzgxyc145.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDIvOTMvQzUvd0tpb20xa0xDeXFocFNHOEFBQm91TnpneHljMTQ1LmpwZw==.jpg"></a></p>
<p> <br />
<br />激励层的实践经验：</p>
<p>①不要用sigmoid!不要用sigmoid!不要用sigmoid!</p>
<p>② 首先试RELU，因为快，但要小心点</p>
<p>③ 如果2失效，请用Leaky ReLU或者Maxout</p>
<p>④ 某些情况下tanh倒是有不错的结果，但是很少</p>
<p><strong>4.池化层</strong></p>
<p>池化层夹在连续的卷积层中间， 用于压缩数据和参数的量，减小过拟合。</p>
<p>简而言之，如果输入是图像的话，那么池化层的作用就是压缩图像。</p>
<p><a href="http://s2.51cto.com/wyfs02/M00/93/C4/wKioL1kLC0mwdxL1AADNgRGE1dM087.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDAvOTMvQzQvd0tpb0wxa0xDMG13ZHhMMUFBRE5nUkdFMWRNMDg3LmpwZw==.jpg"></a></p>
<p> <br />
<br />池化层用的方法有Max pooling 和 average pooling，而实际用的较多的是Max pooling。</p>
<p>这里就说一下Max pooling，其实思想非常简单。 </p>
<p><a href="http://s1.51cto.com/wyfs02/M02/93/C4/wKioL1kLC1zzcZn6AAEPCIsI_c4246.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDIvOTMvQzQvd0tpb0wxa0xDMXp6Y1puNkFBRVBDSXNJX2M0MjQ2LmpwZw==.jpg"></a></p>
<p>对于每个2*2的窗口选出最大的数作为输出矩阵的相应元素的值，比如输入矩阵第一个2*2窗口中最大的数是6，那么输出矩阵的第一个元素就是6，如此类推。</p>
<p><strong>5.全连接层</strong></p>
<p>两层之间所有神经元都有权重连接，通常全连接层在卷积神经网络尾部。也就是跟传统的神经网络神经元的连接方式是一样的：</p>
<p><a href="http://s1.51cto.com/wyfs02/M01/93/C4/wKioL1kLC3HybN8yAAIjSL3O3Nc769.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDEvOTMvQzQvd0tpb0wxa0xDM0h5Yk44eUFBSWpTTDNPM05jNzY5LmpwZw==.jpg"></a></p>
<p> <br />
<br /><strong>一般CNN结构依次为</strong></p>
<p>1). INPUT</p>
<p>2). [[CONV -&gt; RELU]*N -&gt; POOL?]*M</p>
<p>3). [FC -&gt; RELU]*K</p>
<p>4. FC</p>
<p><strong>卷积神经网络之训练算法</strong></p>
<p>1. 同一般机器学习算法，先定义Loss function，衡量和实际结果之间差距。</p>
<p>2. 找到最小化损失函数的W和b， CNN中用的算法是SGD(随机梯度下降)。</p>
<p><strong>卷积神经网络之优缺点</strong></p>
<p>优点</p>
<ul>
<li>共享卷积核，对高维数据处理无压力</li>
<li>无需手动选取特征，训练好权重，即得特征分类效果好</li>
</ul>
<p>缺点</p>
<ul>
<li>需要调参，需要大样本量，训练最好要GPU</li>
<li>物理含义不明确(也就说，我们并不知道没个卷积层到底提取到的是什么特征，而且神经网络本身就是一种难以解释的“黑箱模型”)</li>
</ul>
<p><strong>卷积神经网络之典型CNN</strong></p>
<ul>
<li>LeNet，这是最早用于数字识别的CNN</li>
<li>AlexNet， 2012 ILSVRC比赛远超第2名的CNN，比</li>
<li>LeNet更深，用多层小卷积层叠加替换单大卷积层。</li>
<li>ZF Net， 2013 ILSVRC比赛冠军</li>
<li>GoogLeNet， 2014 ILSVRC比赛冠军</li>
<li>VGGNet， 2014 ILSVRC比赛中的模型，图像识别略差于GoogLeNet，但是在很多图像转化学习问题(比如object detection)上效果奇好</li>
</ul>
<p><strong>卷积神经网络之 fine-tuning</strong></p>
<p>何谓fine-tuning?</p>
<p>fine-tuning就是使用已用于其他目标、预训练好模型的权重或者部分权重，作为初始值开始训练。</p>
<p>那为什么我们不用随机选取选几个数作为权重初始值?原因很简单，第一，自己从头训练卷积神经网络容易出现问题;第二，fine-tuning能很快收敛到一个较理想的状态，省时又省心。</p>
<p>那fine-tuning的具体做法是?</p>
<ul>
<li>复用相同层的权重，新定义层取随机权重初始值</li>
<li>调大新定义层的的学习率，调小复用层学习率</li>
</ul>
<p><strong>卷积神经网络的常用框架</strong></p>
<p><strong>Caffe</strong></p>
<ul>
<li>源于Berkeley的主流CV工具包，支持C++,python,matlab</li>
<li>Model Zoo中有大量预训练好的模型供使用</li>
</ul>
<p><strong>Torch</strong></p>
<ul>
<li>Facebook用的卷积神经网络工具包</li>
<li>通过时域卷积的本地接口，使用非常直观</li>
<li>定义新网络层简单</li>
</ul>
<p><strong>TensorFlow</strong></p>
<ul>
<li> Google的深度学习框架</li>
<li>TensorBoard可视化很方便</li>
<li>数据和模型并行化好，速度快</li>
</ul>
<p><strong>总结</strong></p>
<p>卷积网络在本质上是一种输入到输出的映射，它能够学习大量的输入与输出之间的映射关系，而不需要任何输入和输出之间的精确的数学表达式，只要用已知的模式对卷积网络加以训练，网络就具有输入输出对之间的映射能力。</p>
<p>CNN一个非常重要的特点就是头重脚轻(越往输入权值越小，越往输出权值越多)，呈现出一个倒三角的形态，这就很好地避免了BP神经网络中反向传播的时候梯度损失得太快。</p>
<p>卷积神经网络CNN主要用来识别位移、缩放及其他形式扭曲不变性的二维图形。由于CNN的特征检测层通过训练数据进行学习，所以在使用CNN时，避免了显式的特征抽取，而隐式地从训练数据中进行学习;再者由于同一特征映射面上的神经元权值相同，所以网络可以并行学习，这也是卷积网络相对于神经元彼此相连网络的一大优势。卷积神经网络以其局部权值共享的特殊结构在语音识别和图像处理方面有着独特的优越性，其布局更接近于实际的生物神经网络，权值共享降低了网络的复杂性，特别是多维输入向量的图像可以直接输入网络这一特点避免了特征提取和分类过程中数据重建的复杂度。</p>
<p>本文作者：Madcola</p>
<p>来源：51CTO</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 04:38:43</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%a5%9e%e7%bb%8f%e7%bd%91%e7%bb%9c/" title="神经网络">神经网络</a>, <a href="https://www.iamivan.net/tag/%e7%ae%97%e6%b3%95/" title="算法">算法</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>卷积神经网络CNN总结的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrqDWjb.html" rel="bookmark">Top100论文导读：深入理解卷积神经网络CNN（Part Ⅱ）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				更多深度文章,请关注:https://yq.aliyun.com/cloud 作者信息 Adrian Colyer:morning paper编辑.Accel Partners投资合伙人.SpringSource首席技术官.VMware技术总监. 领英:http://www.linkedin.com/in/adriancolyer/ Twitter:https://twitter.com/adriancolyer 这篇文章介绍&quot; top100深度学习论文&quot;列表中卷积神经网络的第二部分,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvnNgWM.html" rel="bookmark">Top100论文导读：深入理解卷积神经网络CNN（Part Ⅰ）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				更多深度文章,请关注:https://yq.aliyun.com/cloud 作者信息 Adrian Colyer:morning paper编辑.Accel Partners投资合伙人.SpringSource首席技术官.VMware技术总监. 领英:http://www.linkedin.com/in/adriancolyer/ Twitter:https://twitter.com/adriancolyer 本文介绍清单&quot; Top100深度学习论文&quot; 中几篇文章,现在将从&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mym5GEM.html" rel="bookmark">一文读懂卷积神经网络CNN（学习笔记）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先文章的提纲为: CNN栗子镇楼What is CNN 什么是卷积 什么是池化 Why CNN对CNN的其他一些理解CNN实现(接口) 1.CNN栗子(A Beginning Glimpse of CNN) Modern CNN since Yann LeCun 2. 上面是最经典和开始的两篇CNN的结构图 2.What is CNN? 神经网络?卷积? 2.1 什么是卷积? 卷积的定义 其连续的定义为: 特点: 2.2 离散卷积的栗子: 丢骰子时加起来要等于4的概率是多少? 二维离散的卷积			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGEGm6M.html" rel="bookmark">如何用FPGA加速卷积神经网络&lpar;CNN&rpar;？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以下主要引用自西安邮电大学李涛老师关于连接智能和符号智能的报告,以及fpl2016上ASU的 Yufei Ma的文章和slide,推荐大家去读下原文. Scalable and Modularized RTL Compilation of Convolutional Neural Network onto FPGA 地址:http://fpl2016.org/slides/S5b_1.pdf 我做过一些计算加速的工作,个人感觉要入手先要想好几个问题: 要加速的是什么应用,应用的瓶颈是什么,再针对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPEXvz.html" rel="bookmark">卷积神经网络算法的简单实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 从理解卷积神经到实现它,前后花了一个月时间,现在也还有一些地方没有理解透彻,CNN还是有一定难度的,不是看哪个的博客和一两篇论文就明白了,主要还是靠自己去专研,阅读推荐列表在末尾的参考文献.目前实现的CNN在MINIT数据集上效果还不错,但是还有一些bug,因为最近比较忙,先把之前做的总结一下,以后再继续优化. 卷积神经网络CNN是Deep Learning的一个重要算法,在很多应用上表现出卓越的效果,[1]中对比多重算法在文档字符识别的效果,结论是CNN优于其他所有的算法.CNN在手写体			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M60q0gz.html" rel="bookmark">深度学习系列2：卷积神经网络</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是深度学习系列2:卷积神经网络, 原文地址:Deep Learning 2: Convolutional Neural Networks 原文作者:Rutger Ruizendaal 译文出自:掘金翻译计划 本文永久链接:github.com/xitu/gold-m- 译者:lsvih 校对者:edvardHua,lileizhenshuai 深度学习系列2:卷积神经网络 CNN 是怎么学习的?学习了什么? 这篇文章是深度学习系列的一部分.你可以在这里查看第一部分,以及在这里查看第三部分			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwy6ekM.html" rel="bookmark">改进卷积神经网络，你需要这14种设计模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				深度学习领域近来已经发展出大量的新架构,而如何选择使用这些新架构提升卷积神经网络的性能就显得越发重要了.机器之心之前报道过提交 ICLR 2017 的论文: 解析深度卷积神经网络的14种设计模式 也正是关注于此.而本文在描述14种设计模式之余更加注重于阐述构建和训练卷积网络的小技巧. 自从 2011 年深度卷积神经网络(CNN)在图像分类任务中优于人类开始,它们就成为了计算机视觉任务中的行业标准,这些任务包括图像分割.目标检测.场景标记.跟踪以及文本检测等等. 然而,训练神经网络的技巧并不容易掌			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQLLrOz.html" rel="bookmark">吴恩达深度学习课程笔记之卷积神经网络基本操作详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				卷积层 CNN中卷积层的作用: CNN中的卷积层,在很多网络结构中会用conv来表示,也就是convolution的缩写. 卷积层在CNN中扮演着很重要的角色--特征的抽象和提取,这也是CNN区别于传统的ANN或SVM的重要不同. 对于图片而言,图片是一个二维度的数据,我们怎样才能通过学习图片正确的模式来对于一张图片有正确的对于图片分类呢?这个时候,有人就提出了一个观点,我们可以这样,对于所有的像素,全部都连接上一个权值,我们也分很多层,然后最后进行分类,这样也可以,但是对于一张图片来说,像素点			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QdWmp.html" rel="bookmark">卷积神经网络（CNN）新手指南</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				卷积神经网络(Convolutional Neural Network,CNN)新手指南 引言 卷积神经网络:听起来像是生物与数学还有少量计算机科学的奇怪结合,但是这些网络在计算机视觉领域已经造就了一些最有影响力的创新.2012年神经网络开始崭露头角,那一年Alex Krizhevskyj在ImageNet竞赛上(ImageNet可以算是竞赛计算机视觉领域一年一度的&quot;奥运会&quot;竞赛)将分类错误记录从26%降低到15%,这在当时是一个相当惊人的进步.从那时起许多公司开始将深度学习应用在他们			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy36dz.html" rel="bookmark" class="title">根据上一行填充本行的空白栏位，SQL处理方式</a>
					<div>
						我在4年多前,写了一篇Excel处理空白Cell的文章,http://www.cnblogs.com/studyzy/archive/2010/04/07/1706203.html,其实在数据库中也会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrrdjM.html" rel="bookmark" class="title">千里之行始于足下  SEO没有捷径</a>
					<div>
						前几天,公司新来了一个同事,被分到了我这个小组,从事外链建设的工作,在聊天的时候他告诉我,这边是他人生中的第一份工作.新人嘛,刚开始的时候都是充满了激情,希望能大展拳脚,工作积极性那是相当的高.不过几 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg7OAM.html" rel="bookmark" class="title">什么是百度权重，门老师为您详解百度权重</a>
					<div>
						什么是百度权重?百度权重是什么?应该是最近一些日子网友讨论比较多的问题.门老师最近看到了两篇关于百度权重的文章,作者把自己的观点通过图文形式详尽的表达了出来.详情请搜索&lt;我们是否应该在意百度权重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1lynz.html" rel="bookmark" class="title">为什么在guest帐户下的Vista没有输入法图标</a>
					<div>
						有朋友问我,怎么当我用guest帐户进入vista的时候,任务栏中不显示输入法图标呢? 答:其实,Vista 系统在默认情况下,使用来宾(guest)帐户登录,在任务栏是不会显示输入法图标 .如果你想 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLO2JvM.html" rel="bookmark" class="title">Oracle RAC环境单独节点插入数据也会导致全局等待（上）</a>
					<div>
						在RAC环境中,登陆到一个实例,在处理的数据完全与另外实例内存中数据无关的情况下,也会导致gc全局等待产生. 这一篇描述现象. 环境如下: SQL&gt; conn yangtk/yangtk 已连接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Na1Nz.html" rel="bookmark" class="title">算法系列（十二）多边形区域填充算法：扫描线填充算法（有序边表法）</a>
					<div>
						二.扫描线算法(Scan-Line Filling) 扫描线算法适合对矢量图形进行区域填充,只需要 直到多边形区域的几何位置,不需要指定种子点,适合计算机自动进行图形处理的场合使用,比如电 脑游戏和三 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR4lqz.html" rel="bookmark" class="title">win8&period;1系统桌面扬声器图标不见了怎么办？</a>
					<div>
						  win8.1系统桌面扬声器图标不见了怎么办? 1.右键任务栏,在弹出的右键菜单之中点击属性子菜单; 2.弹出了任务栏和开始菜单属性对话框,在这里点击通知区域栏目之中的自定义按钮; 3.弹出了通知区 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wBGYp.html" rel="bookmark" class="title">刻录机常见故障</a>
					<div>
						常见故障一:安装刻录机后无法启动电脑 首先切断电脑供电电源,打开机箱外壳检查IDE线是否完全插入,并且要保证PIN-1的接脚位置正确连接.如果刻录机与其它IDE设备共用一条IDE线,需保证两个设备不能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eeROb.html" rel="bookmark" class="title">百度贴吧签名档怎么弄</a>
					<div>
						百度贴吧内容丰富,方便交流,一个类型的贴吧聚集了同一种爱好的人,有一个非常有个性的签名档,能够让你一下子就容易被大家记住. 那怎样才能设置了,可能有一部分人不知道怎么弄,下面就做了一个图文教程,末尾是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3nk1M.html" rel="bookmark" class="title">苹果Mac怎么查看文件扩展名？</a>
					<div>
						  苹果Mac怎么查看文件扩展名?苹果Mac显示文件后缀名怎么设置?苹果Mac OS X默认是不显示文件后缀名的,我们可以通过 Finder 偏好设置让文件的扩展名显示出来,下面小编给你带来如何设置M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGdj1p.html" rel="bookmark" class="title">果库：小而美的移动App</a>
					<div>
						摘要: 如果你让我推荐移动端的电商类产品,我不会给你推荐淘宝.逛这类大电商产品,也不会推荐美丽说.蘑菇街这样的导购网站,我更愿意推荐的,是像果库这样小而美的移动App.众所周 如果你让我推荐移动端的电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EV7RM.html" rel="bookmark" class="title">9 篇顶会论文解读推荐中的序列化建模：Session-based Neural Recommendation</a>
					<div>
						前言 本文对 Recurrent Neural Network 在推荐领域的序列数据建模进行梳理,整理推荐领域和深度学习领域顶会 RecSys.ICLR 等中的 9 篇论文进行整理.图片和文字来源于原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlw3Qb.html" rel="bookmark" class="title">Javascript自定义排序 node运行 实例&lowbar;javascript技巧</a>
					<div>
						[javascript] 复制代码 代码如下: var studs = [{name: 'clap', age: 15},               {name: 'martin', age: 13 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7w20z.html" rel="bookmark" class="title">基于Google Reader发展起来的个性化推荐系统之三大问题</a>
					<div>
						郑昀@玩聚SR 20091003     中科院的xlvector(即项亮,他所在的团队The Ensemble在7月份获得Netflix大奖赛公开测试排名第一,但在9月22日Netflix宣布BPC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP161p.html" rel="bookmark" class="title">深入Jetty源码之Servlet框架及实现&lpar;ServletContext&rpar;</a>
					<div>
						概述 Servlet是Server Applet的缩写,即在服务器端运行的小程序,而Servlet框架则是对HTTP服务器(Servlet Container)和用户小程序中间层的标准化和抽象.这一层 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXaWvz.html" rel="bookmark" class="title">extjs4-springmvc自定义日期类型绑定问题</a>
					<div>
						问题描述 springmvc自定义日期类型绑定问题 我在用springmvc自定义日期类型绑定,但是根本debug的时候进入不了自定义转换的类DateConverter中,也就是没有转换,我的birt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40LDPz.html" rel="bookmark" class="title">变量函数库：isset</a>
					<div>
						isset (unknown) isset ---&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; 测定变量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8A72Bz.html" rel="bookmark" class="title">操作系统-为什么现在u盘启动盘直接复制文件就可以了呢</a>
					<div>
						问题描述 为什么现在u盘启动盘直接复制文件就可以了呢 如题,现在满世界的教制作启动盘都用到ultraiso等等工具.可是亲测(ubuntu15.10和win10镜像)发现只有吧iso文件里的东西解压复 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRnLGp.html" rel="bookmark" class="title">《Adobe Premiere Pro CC完全剖析》&mdash;&mdash;系统设计</a>
					<div>
						系统设计 对视频制作工业中的硬件来说,最大的问题是使用的寿命较短. 我可以用一台2007年的电脑来进行文字的处理,它和我现在用的电脑没有什么差别.从技术角度讲,我甚至可以用十年前的硬件来做文字处理.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7yy5M.html" rel="bookmark" class="title">spring hibernate  service层执行hql问题</a>
					<div>
						问题描述 在service层中写hql,然后直接使用dao调用,返回值是Object类型,里面的参数名字也变成了01234...而在service层调用dao,dao执行hql,则不会出现这种问题,会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rvBgz.html" rel="bookmark" class="title">mybatis-SpringMVC&plus;Mybais接收不到请求，求帮忙看下哪的问题</a>
					<div>
						问题描述 SpringMVC+Mybais接收不到请求,求帮忙看下哪的问题 http://pan.baidu.com/s/1fI7fS项目我放百度网盘上了,顺便帮我看下启动时LOG4J爆的问题. 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqkl8p.html" rel="bookmark" class="title">Greenplum 添加或删除standby master节点</a>
					<div>
						Greenplum支持master节点的standby,如果你在初始化集群时没有创建standby节点,或者原来的standby节点坏了或者其他原因,要重搭standby. 本文将告诉你怎么做. 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEnAeM.html" rel="bookmark" class="title">英特尔再遭起诉&OpenCurlyDoubleQuote;反垄断&rdquo;改变业界生态</a>
					<div>
						郑迪 上个月刚刚花费12.5亿美元,解决了与竞争对手AMD反垄断及专利纠纷的英特尔,再次官司缠身.美国联邦贸易委员会(FTC)12月16日起诉英特尔,指控其滥用市场主导地位排挤竞争对手及扩大垄断. F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg4evM.html" rel="bookmark" class="title">const-用另种排序做，这么才对呢</a>
					<div>
						问题描述 用另种排序做,这么才对呢 #include #include struct person{ int no; double num; }; int comp(const void *p,con ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWkOqM.html" rel="bookmark" class="title">《Python数据科学指南》&mdash;&mdash;2&period;2　使用NumPy库</a>
					<div>
						2.2 使用NumPy库 Python中,NumPy提供了一条高效处理超大数组的途径.大多数Python科学计算库中都在内部使用NumPy处理数组和矩阵操作.在本书中,NumPy被广泛应用,我们在本节 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW20vz.html" rel="bookmark" class="title">基于linux下C开发中的几点技术经验总结&lowbar;C 语言</a>
					<div>
						最近一致致力于linux下的C开发,因为老大是某讯出来的.因此,使用的主要技术都是某讯的基本的后台架构思想.在这段时间,学习到了很多,然后佩服某讯的技术果然很厉害.因此,自我感觉,从头开发我们这个项目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNv5ZPM.html" rel="bookmark" class="title">js中opener与parent的区别详细解析&lowbar;javascript技巧</a>
					<div>
						opener即谁打开我的,比如A页面利用window.open弹出了B页面窗口,那么A页面所在窗口就是B页面的opener,在B页面通过opener对象可以访问A页面. parent表示父窗口,比如一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLkO6M.html" rel="bookmark" class="title">我国公民诉微软域名案调解&colon;hotmaiil&period;com多个i</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 汕头市中级人民法院近日成功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3YJeNp.html" rel="bookmark" class="title">技嘉Intel Z77芯片组GA-Z77X-UD3H主板产品剖析</a>
					<div>
						技嘉7系列主板,结合了全新令人惊艳的技嘉独家技术与最新的 Intel Z77 芯片组,且主板的设计充分支持新的Intel全新一代处理器,发挥更出色的效能表现.内建新一代数位引擎.3D BIOS 和第四 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmmDJb.html" rel="bookmark" class="title">通用搜索引擎难令中小企业满意 更需商业搜索</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 艾瑞咨询发布最新的中国搜索市场行业发展报告显示,传统的通用搜索引擎的性质已决定了其不能满足用户的特定需求,特别是中小企业用户.用户对搜索引擎对专门领域的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
